@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap');

:root {
    --primary-color: #f37220;
    --dark1: #17181D;
    --dark2: #040304;
    --dark3: #292E39;
    --dark4: #333A45;
    --dark5: #1D1F25;
    --gray1: #7E8197;
    --gray2: #505765;
    --gray3: #5F6778;
    --gray4: #D2D5DA;
    --black-color: #000;
    --white-color: #fff;
    --error: #EE5153;
    --info: #546EB5;
    --success: #3F9388;
    --purple: #5B44B0;
    --purple2: #B432E2;
    --green: #0D8444;
    --theme-orange: #E95D26;
    --theme-yellow: #FFFD52;
    --theme-red: #FC0D1B;
    --theme-gray: #8A7C75;
    --theme-green: #219D1A;
    --theme-purple: #D455E8;
    --theme-blue: #178FD3;
    --theme-sky: #568DA9;
    /* new  */
    --light-green: #9DD44C;
    --blue: #203788;
    --pink: #F59173;
    --gradient-bg1: #F71221;
    --gradient-bg2: #FD7124;
    --gradient-bg3: #F6D12F;
    --gradient-bg4: #8AB82F;
    --gradient-bg5: #3BA73C;
}

body.public-light-mode {
  --primary-color: #0d6efd;
  --primary-light-color: #EFF8FF;
  --custom-primary-color: #b38600;
  --dark1: #ffffff;
  --dark2: #000000;
  --dark3: #f4f4f4;
  --dark4: #cccccc;
  --dark5: #eaeaea;
  --gray1: #4d4d4d;
  --gray2: #999999;
  --gray3: #666666;
  --gray4: #1e1e1e;
  --black-color: #000000;
  --white-color: #ffffff;
  --error: #EE5153;
  --info: #546EB5;
  --success: #3F9388;
}

body.public-light-mode {
  
  color: var(--dark2);
}

body.public-light-mode .custom-bg-dark1,
body.public-light-mode .custom-bg-dark2,
body.public-light-mode .custom-bg-dark3,
body.public-light-mode .custom-bg-dark5,
body.public-light-mode .bg-secondery {
  background-color: #fdfdfd !important;
}

body.public-light-mode .text-white {
  color: #1e1e1e !important;
}

body.public-light-mode .custom-form input,
body.public-light-mode .custom-form textarea,
body.public-light-mode .custom-form select {
  background: #fcfcfc !important;
  color: #000000 !important;
  border-color: #cccccc !important;
}

body.public-light-mode .custom-form ::placeholder {
  color: #888888;
}

body.public-light-mode .custom-nav-tabs .nav-link {
  background-color: #eaeaea;
  color: #1e1e1e;
}

body.public-light-mode .custom-nav-tabs .nav-link.active {
  background-color: var(--primary-color);
  color: #fff;
}

body.public-light-mode .position-relative .passwordIcon {
    filter: brightness(0);
}

.light-mode-banner-image {
    display: none;
}

body.public-light-mode .dark-mode-banner-image {
    display: none;
}

body.public-light-mode .light-mode-banner-image {
    display: unset;
}

/* Example toggle button styling */
#toggleThemeBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  padding: 8px 16px;
  background: var(--primary-color);
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
}

/* Optional: override other dark specific classes */
body.public-light-mode .custom-text-dark2 {
  color: #000000 !important;
}


body {
    font-family: 'Inter', sans-serif;
    overflow-x: hidden;
}

/* custom clasess  */


.font-large {
    font-size: 60px;
}

.font-medium {
    font-size: 44px;
}

.font-28 {
    font-size: 28px;
}

.font-20 {
    font-size: 20px;
}

.font-18 {
    font-size: 18px;
}

.font-16 {
    font-size: 16px;
}

.font-15 {
    font-size: 15px;
}

.font-14 {
    font-size: 14px;
}

.font-13 {
    font-size: 13px;
}

.font-12 {
    font-size: 12px;
}

/* colors  */
/* bg colors  */
.custom-bg-primary {
    background-color: var(--primary-color);
}

body.public-light-mode .custom-bg-primary {
    background-color: var(--primary-light-color);
}

.custom-bg-info {
    background-color: var(--info);
}

.custom-bg-success {
    background-color: var(--success);
}

.custom-bg-dark1 {
    background-color: var(--dark1);
}

.custom-bg-dark2 {
    background-color: var(--dark2);
}

.custom-bg-dark3 {
    background-color: var(--dark3);
}

.custom-bg-dark5 {
    background-color: var(--dark5);
}

.custom-bg-danger {
    background-color: var(--error);
}

.custom-bg-green {
    background-color: var(--green);
}

.custom-bg-blue {
    background-color: var(--blue);
}



/* new  */

.custom-bg-pink {
    background-color: var(--pink);
}

.custom-bg-purple {
    background-color: var(--purple);
}

.custom-bg-purple2 {
    background-color: var(--purple2);
}

.custom-bg-light-green {
    background-color: var(--light-green);
}

/* new end */

/* text colors  */
.custom-text-dark2 {
    color: var(--dark2);
}

.custom-text-gray1 {
    color: var(--gray1);
}

.custom-text-gray4 {
    color: var(--gray4);
}

.text-error {
    color: var(--error);
}

.custom-text-primary,
.custom-link-primary,
.custom-link-primary:hover {
    color: var(--custom-primary-color);
}

.custom-link-primary {
    text-decoration: none;
}

.custom-link-primary:hover {
    text-decoration: underline;
}

/* borders  */

.custom-border-primary {
    border: 1px solid var(--primary-color);
}

.custom-border2-success {
    border: 1px solid var(--success);
}

.custom-border1-dark3 {
    border: 1px solid var(--dark3);
}

.custom-border1-dark4 {
    border: 1px solid var(--dark4);
}

.custom-border1-dark5 {
    border: 1px solid var(--dark5);
}

.custom-border1-bottom-dark3 {
    border-bottom: 1px solid var(--dark3);
}

.custom-border1-bottom-dark4 {
    border-bottom: 1px solid var(--dark4);
}

.custom-border1-right-dark3 {
    border-right: 1px solid var(--dark3);
}

/* new start  */

.custom-border-1-pink {
    border: 1px solid var(--pink);
}

.custom-border-1-info {
    border: 1px solid var(--info);
}

.custom-border-1-success {
    border: 1px solid var(--success);
}

.custom-border-1-green {
    border: 1px solid var(--green);
}

/* new end  */

/* btns  */
.btn.custom-btn {
    --bs-btn-border-radius: 4px;
    --bs-btn-padding-x: 20px;
    --bs-btn-font-size: 16px;
    --bs-btn-hover-bg: transparent;
    --bs-btn-active-bg: : transparent;
    --bs-btn-hover-color: var(--white-color);
    --bs-btn-active-color: var(--white-color);
    font-weight: 600;
}

.btn.btn-primary {
    --bs-btn-bg: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-color: var(--dark2);
    --bs-btn-active-border-color: var(--primary-color);
    --bs-btn-padding-y: 7px;
}

body.public-light-mode .btn.btn-primary {
    --bs-btn-color: var(--dark1);
}

.btn.btn-primary:hover {
    --bs-btn-color: var(--dark2);
}

body.public-light-mode .btn.btn-primary:hover {
    --bs-btn-hover-color: var(--dark2);
}

.btn.btn-info {
    --bs-btn-bg: var(--info);
    --bs-btn-border-color: var(--info);
    --bs-btn-hover-border-color: var(--info);
    --bs-btn-color: var(--white-color);
    --bs-btn-active-border-color: var(--info);
}

.btn.btn-success {
    --bs-btn-bg: var(--success);
    --bs-btn-border-color: var(--success);
    --bs-btn-hover-border-color: var(--success);
    --bs-btn-color: var(--white-color);
    --bs-btn-active-border-color: var(--success);
}

.btn.btn-danger {
    --bs-btn-bg: var(--error);
    --bs-btn-border-color: var(--error);
    --bs-btn-hover-border-color: var(--error);
    --bs-btn-color: var(--white-color);
    --bs-btn-active-border-color: var(--error);
}

.btn.btn-outline-primary {
    --bs-btn-active-bg: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-color: var(--white-color);
    --bs-btn-active-color: var(--dark2);
    --bs-btn-hover-color: var(--dark2);
    --bs-btn-active-border-color: var(--primary-color);
}

.btn-purple {
    background-color: var(--purple);
}

.btn-purple:hover {
    border-color: var(--purple);
}

.btn-green {
    background-color: var(--green);
}

.btn-green:hover {
    border-color: var(--green);
}

.btn-blue {
    background-color: var(--blue);
}

.btn-blue:hover {
    border-color: var(--blue);
}

/* new  */

.btn-pink {
    background-color: var(--pink);
}

.btn-pink:hover {
    border-color: var(--pink);
}

.btn-light-green {
    background-color: var(--light-green);
}

.btn-light-green:hover {
    border-color: var(--light-green);
}

/* new end  */

.btn-purple,
.btn-green,
.btn-blue,
.btn-pink {
    color: var(--white-color);
}


.py-6 {
    padding-block: 6px;
}

.custom-dropdown .btn {
    --bs-btn-hover-border-color: var(--gray1);
    --bs-btn-border-radius: 4px;
}

.custom-dropdown .btn:hover {
    border-color: var(--dark4);
}

.custom-dropdown .btn::after {
    display: none;
}

.custom-dropdown .dropdown-menu {
    --bs-dropdown-border-radius: 4px;
    --bs-dropdown-bg: var(--dark1);
}

.custom-dropdown .dropdown-menu {
    min-width: 193px;
}

.custom-dropdown .dropdown-menu .dropdown-item {
    color: var(--white-color);
}

.custom-dropdown .dropdown-menu .dropdown-item.active,
.custom-dropdown .dropdown-menu .dropdown-item:hover {
    background-color: transparent;
}

.custom-dropdown .dropdown-menu .dropdown-item.active {
    color: var(--primary-color);
}

.custom-btn:hover img,
.custom-btn:focus img,
.custom-date-picker::after,
.custom-dropdown .btn::before,
.select2::after,
.sidebar .link:not(.active) img,
.custom-dropdown .dropdown-menu .dropdown-item:not(.active) img {
    filter: brightness(0) invert(1);
}

.custom-btn:hover .arrow-right,
.custom-btn:focus .arrow-right {
    transform: translateX(5px);
}

/* images sizes  */
.size-160 {
    width: 160px;
    height: 160px;
}

.size-120 {
    width: 120px;
    height: 120px;
}

.size-30 {
    width: 30px;
    height: 30px;
}

.size-28 {
    width: 28px;
    height: 28px;
}

.size-23 {
    width: 23px;
    height: 23px;
}

.size-20 {
    width: 20px;
    height: 20px;
}

.size-15 {
    width: 15px;
    height: 15px;
}

.size-12 {
    width: 12px;
    height: 12px;
}

.size-10 {
    width: 10px;
    height: 10px;
}

/* z-index  */

.z-2 {
    z-index: 2;
}

.z-3 {
    z-index: 3;
}

.z-4 {
    z-index: 4;
}

/* others  */
.contain {
    object-fit: contain;
}

.cover {
    object-fit: cover;
}

.transition {
    transition: all 0.3s ease-in-out;
}

.pointer {
    cursor: pointer;
}

.overflow-y-auto {
    overflow-y: auto;
}

.filter-white {
    filter: brightness(0) invert(1);
}

.filter-black {
    filter: brightness(1) invert(1);
}

.h-36 {
    height: 36px;
}

.h-48 {
    height: 48px;
}

.min-w-450 {
    min-width: 450px;
}

.min-h-38 {
    min-height: 38px;
}

.min-h-45 {
    min-height: 45px;
}

/* new start */

.h-200 {
    height: 200px;
}

/* new end  */

/* custom classes ends here  */

.logo {
    max-width: 100px;
    max-height: 50px;
}

/* custom form  */

.custom-form .form-control,
.custom-form .form-select {
    border-radius: 4px;
    padding: 12px 16px;
    border-color: var(--gray1);
}

.custom-form .input-border-dark {
    border-color: var(--dark4);
}

.custom-form .form-select:focus,
.custom-form .form-control:focus {
    border-color: var(--primary-color);
}

.custom-form ::placeholder {
    color: var(--gray1);
}

.custom-form .form-control::-webkit-outer-spin-button,
.custom-form .form-control::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.custom-form .form-control[type=number] {
    -moz-appearance: textfield;
}

.custom-form .invalid {
    border-color: var(--error);
}

.custom-form .form-check-input {
    background-color: transparent;
}

.custom-form .form-check-input:focus,
.custom-form .form-check-input:checked {
    border-color: var(--primary-color);
}

.custom-form .form-check-input:checked {
    background-image: url('../images/common/tick.png');
    background-color: var(--primary-color);
    background-size: 10px;
}

.custom-form .form-check-input[type=checkbox] {
    border-radius: 2px;
}

.custom-form .check-lg .form-check-input {
    width: 28px;
    height: 28px;
    border-radius: 4px;
    background-size: 15px;
    outline-offset: 3px;
    outline-width: 1px;
    outline-style: solid;
}

.custom-form .input-tag:checked+.tag {
    border-color: var(--primary-color);
}

/* orange-check  */
.custom-form .check-lg .form-check-input.orange-color {
    background-color: var(--theme-orange);
    border-color: var(--theme-orange);
}

.custom-form .check-lg .form-check-input.orange-color:checked {
    outline-color: var(--theme-orange);
}

/* white-check  */
.custom-form .check-lg .form-check-input.white-color {
    background-color: var(--white-color);
    border-color: var(--white-color);
}

.custom-form .check-lg .form-check-input.white-color:checked {
    outline-color: var(--white-color);
}

/* black-check  */
.custom-form .check-lg .form-check-input.black-color {
    background-color: var(--black-color);
    border-color: var(--dark3);
}

.custom-form .check-lg .form-check-input.black-color:checked {
    outline-color: var(--dark3);
    background-image: url('../images/common/tick-white.png');
}

/* yellow-check */
.custom-form .check-lg .form-check-input.yellow-color {
    background-color: var(--theme-yellow);
    border-color: var(--theme-yellow);
}

.custom-form .check-lg .form-check-input.yellow-color:checked {
    outline-color: var(--theme-yellow);
}

/* red-check */
.custom-form .check-lg .form-check-input.red-color {
    background-color: var(--theme-red);
    border-color: var(--theme-red);
}

.custom-form .check-lg .form-check-input.red-color:checked {
    outline-color: var(--theme-red);
}

/* gray-check */
.custom-form .check-lg .form-check-input.gray-color {
    background-color: var(--theme-gray);
    border-color: var(--theme-gray);
}

.custom-form .check-lg .form-check-input.gray-color:checked {
    outline-color: var(--theme-gray);
}

/* green-check */
.custom-form .check-lg .form-check-input.green-color {
    background-color: var(--theme-green);
    border-color: var(--theme-green);
}

.custom-form .check-lg .form-check-input.green-color:checked {
    outline-color: var(--theme-green);
}

/* purple-check */
.custom-form .check-lg .form-check-input.purple-color {
    background-color: var(--theme-purple);
    border-color: var(--theme-purple);
}

.custom-form .check-lg .form-check-input.purple-color:checked {
    outline-color: var(--theme-purple);
}

/* blue-check */
.custom-form .check-lg .form-check-input.blue-color {
    background-color: var(--theme-blue);
    border-color: var(--theme-blue);
}

.custom-form .check-lg .form-check-input.blue-color:checked {
    outline-color: var(--theme-blue);
}

/* sky-check */
.custom-form .check-lg .form-check-input.sky-color {
    background-color: var(--theme-sky);
    border-color: var(--theme-sky);
}

.custom-form .check-lg .form-check-input.sky-color:checked {
    outline-color: var(--theme-sky);
}

/* input color  */

.custom-form ::-webkit-color-swatch {
    border: 0;
    border-radius: 4px 0 0 4px;
    border-right: 1px solid var(--gray1);
}

.custom-form .form-control-color {
    left: 1px;
    top: 1px;
    height: 47px;
}

.custom-form .form-control-color+.form-control {
    padding-left: 65px;
}

.custom-form input.sm-height {
    padding-block: 6px;
}

.custom-form .input-icons-px,
.custom-form input[type="search"] {
    padding-inline: 38px;
}

.custom-form input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    appearance: none;
    height: 10px;
    width: 10px;
    background-image: url('../images/common/cancel.png');
    background-size: 10px 10px;
    background-position: 10px center;
    cursor: pointer;
    position: absolute;
    right: 16px
}

/* new  */

.custom-form-range::-webkit-slider-runnable-track {
    background-image: linear-gradient(to left, var(--gradient-bg1), var(--gradient-bg2), var(--gradient-bg3), var(--gradient-bg4), var(--gradient-bg5));
}

.custom-form-range::-webkit-slider-thumb {
    outline: 4px solid var(--white-color);
}

.custom-form-range::-webkit-slider-thumb:active,
.custom-form-range::-webkit-slider-thumb {
    background-color: var(--black-color);
}

.custom-form-range+.range-label {
    top: -30px;
    left: calc(50% - 15px);
    width: 35px;
    height: 24px;
}

.custom-form textarea {
    resize: vertical;
    min-height: 150px;
    max-height: 150px;
}

/* new end  */

/* custom select2  */

/* custom-nav-tabs  */
.custom-nav-tabs {
    padding: 2px;
    border-radius: 4px;
}

.custom-nav-tabs .nav-link {
    background-color: var(--dark3);
    color: var(--white-color);
    padding: 10px 30px;
}

.custom-nav-tabs .nav-link.active {
    background-color: var(--primary-color);
    color: var(--dark2);
}


/* admin panel  */

.menu-icon {
    width: 35px;
}

.menu-icon span {
    height: 4px;
}

.menu-icon span:not(:last-child) {
    margin-bottom: 8px;
}

.menu-icon span:nth-child(1) {
    animation: ease .7s top-2 forwards;
}

.menu-icon span:nth-child(2) {
    animation: ease .7s scaled-2 forwards;
}

.menu-icon span:nth-child(3) {
    animation: ease .7s bottom-2 forwards;
}



@keyframes top {
    0% {
        top: 0;
        transform: rotate(0);
    }

    50% {
        top: 22px;
        transform: rotate(0);
    }

    100% {
        top: 9px;
        transform: rotate(45deg);
    }
}

@keyframes top-2 {
    0% {
        top: 22px;
        transform: rotate(45deg);
    }

    50% {
        top: 22px;
        transform: rotate(0deg);
    }

    100% {
        top: 0;
        transform: rotate(0deg);
    }
}

@keyframes bottom {
    0% {
        bottom: 0;
        transform: rotate(0);
    }

    50% {
        bottom: 22px;
        transform: rotate(0);
    }

    100% {
        bottom: 15px;
        transform: rotate(135deg);
    }
}

@keyframes bottom-2 {
    0% {
        bottom: 22px;
        transform: rotate(135deg);
    }

    50% {
        bottom: 22px;
        transform: rotate(0);
    }

    100% {
        bottom: 0;
        transform: rotate(0);
    }
}

@keyframes scaled {
    50% {
        transform: scale(0);
    }

    100% {
        transform: scale(0);
    }
}

@keyframes scaled-2 {
    0% {
        transform: scale(0);
    }

    50% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}


.sidebar {
    width: 300px;
    padding-bottom: 75px;
    top: 0;
    left: 0;
}

/* show menu  */
body.show-menu .sidebar,
.sidebar.footer-visible {
    padding-bottom: 120px;
}

body.show-menu {
    overflow: hidden;
}

body.show-menu .overlay {
    inset: 0;
    left: 301px;
    background-color: rgba(0, 0, 0, 0.3);
}

body.show-menu .sidebar {
    top: 50px;
}

body.show-menu .menu-icon span:nth-child(1) {
    animation: ease .7s top forwards;
}

body.show-menu .menu-icon span:nth-child(2) {
    animation: ease .7s scaled forwards;
}

body.show-menu .menu-icon span:nth-child(3) {
    animation: ease .7s bottom forwards;
}

.content-wrapper {
    min-height: calc(100vh + 100px);
}

.sidebar .link:not(.active) {
    color: var(--white-color);
}

.sidebar .link:hover,
.sidebar .link:focus,
.sidebar .link.active {
    color: var(--primary-color);
}

.custom-date-picker.flatpickr-input.active~img,
.sidebar .link:hover img,
.sidebar .link:focus img {
    filter: none;
}

.sidebar .link:not(.collapsed) .arrow-down {
    transform: rotate(-180deg);
}

/* custom scrollbar  */
.select2-results .select2-results__options::-webkit-scrollbar,
.custom-scrollbar::-webkit-scrollbar {
    width: 10px;
}

.custom-scrollbar-table::-webkit-scrollbar-track,
.custom-scrollbar-table::-webkit-scrollbar-thumb,
.select2-results .select2-results__options::-webkit-scrollbar-track,
.select2-results .select2-results__options::-webkit-scrollbar-thumb,
.custom-scrollbar::-webkit-scrollbar-track,
.custom-scrollbar::-webkit-scrollbar-thumb {
    border-radius: 11px;
}

.custom-scrollbar-table::-webkit-scrollbar-track,
.select2-results .select2-results__options::-webkit-scrollbar-track,
.custom-scrollbar::-webkit-scrollbar-track {
    background-color: var(--gray2);
}

.custom-scrollbar-table::-webkit-scrollbar-thumb,
.select2-results .select2-results__options::-webkit-scrollbar-thumb,
.custom-scrollbar::-webkit-scrollbar-thumb {
    background: var(--primary-color);
}

/* custom scrollbar table  */

.custom-scrollbar-table::-webkit-scrollbar {
    height: 8px;
}

/* custom-table  */

.custom-table {
    border-color: var(--dark3);
}

.table-w-740 {
    min-width: 740px;
}

.table-w-sm {
    min-width: 800px;
}

.table-w-md {
    min-width: 1000px;
}

.table-w-lg {
    min-width: 1500px;
}

.table-w-xl {
    min-width: 2100px;
}

/* new start */
.table-w-xxl {
    min-width: 3500px;
}

/* new end */

.table-w-xxxl {
    min-width: 7100px;
}

.custom-table th,
.custom-table td {
    padding: 16px 8px;
}

.sorting-icon::after {
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    transform: translate(0, -50%);
    width: 15px;
    height: 15px;
    background-image: url('../images/common/sort.png');
    background-repeat: no-repeat;
    background-size: contain;
}

.asc-sort .sorting-icon::after {
    background-image: url('../images/common/sort-asc.png');
}

.dsc-sort .sorting-icon::after {
    background-image: url('../images/common/sort-desc.png');
}

.custom-table th:first-child,
.custom-table td:first-child {
    padding-left: 16px;
}


/* custom-date-picker */

.custom-date-picker~.arrow-down {
    transform: translate(0, -50%);
}

.custom-date-picker.flatpickr-input.active~.arrow-down {
    transform: translate(0, -50%) rotate(-180deg);
}

.flatpickr-rContainer {
    padding: 5px;
}

.flatpickr-calendar {
    background-color: var(--dark1);
    margin-top: 5px;
    width: 320px;
}

.flatpickr-current-month .numInputWrapper,
.flatpickr-current-month .flatpickr-monthDropdown-months {
    color: var(--gray3);
}

.flatpickr-time .numInputWrapper span.arrowUp:after,
.flatpickr-current-month .numInputWrapper span.arrowUp:after {
    border-bottom-color: var(--white-color);
}

.flatpickr-time .numInputWrapper span.arrowDown:after,
.flatpickr-current-month .numInputWrapper span.arrowDown:after {
    border-top-color: var(--white-color);
}

.flatpickr-months .flatpickr-prev-month:hover svg,
.flatpickr-months .flatpickr-next-month:hover svg {
    fill: var(--primary-color);
}

.flatpickr-time .flatpickr-am-pm,
.flatpickr-time .numInput,
.flatpickr-days .flatpickr-day,
.flatpickr-days .flatpickr-day:hover,
.flatpickr-months .flatpickr-month,
.flatpickr-months .flatpickr-prev-month,
.flatpickr-months .flatpickr-next-month {
    color: var(--white-color);
    fill: var(--white-color);
}

.flatpickr-current-month .flatpickr-monthDropdown-months:focus,
.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover,
.flatpickr-day.prevMonthDay,
.flatpickr-calendar .flatpickr-weekday {
    color: var(--gray3);
}

.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover,
.flatpickr-day.prevMonthDay:hover {
    background-color: transparent;
    border-color: transparent;
}

.flatpickr-day,
.flatpickr-day.nextMonthDay {
    border-radius: 4px;
    border-width: 2px;
    background-color: var(--dark3);
    margin-bottom: 3px;
}

.flatpickr-day.flatpickr-day.inRange {
    -webkit-box-shadow: -5px 0 0 var(--gray2), 5px 0 0 var(--gray2);
    box-shadow: -5px 0 0 var(--gray2), 5px 0 0 var(--gray2);
}

.flatpickr-calendar .flatpickr-day.inRange,
.flatpickr-calendar .flatpickr-day.inRange:hover,
.flatpickr-day.today,
.flatpickr-day.today:hover {
    background-color: var(--gray2);
    border-color: var(--gray2);
}

.flatpickr-days .flatpickr-day.startRange,
.flatpickr-days .flatpickr-day.startRange:hover,
.flatpickr-days .flatpickr-day.endRange,
.flatpickr-days .flatpickr-day.endRange:hover,
.flatpickr-days .flatpickr-day.selected,
.flatpickr-days .flatpickr-day.selected:hover {
    background-color: var(--primary-color);
    color: var(--dark1);
}

.flatpickr-time .flatpickr-am-pm:hover,
.flatpickr-time .flatpickr-am-pm:focus,
.flatpickr-time .flatpickr-am-pm,
.flatpickr-time .numInput:hover,
.flatpickr-time .numInput:focus,
.flatpickr-time .numInput,
.flatpickr-day.nextMonthDay:hover,
.flatpickr-day:hover {
    background-color: var(--dark3);
}

.flatpickr-days .flatpickr-day.startRange,
.flatpickr-days .flatpickr-day.endRange,
.flatpickr-days .flatpickr-day.selected,
.flatpickr-days .flatpickr-day:not(.flatpickr-disabled):not(.inRange):hover {
    border-color: var(--primary-color);
}

.flatpickr-day.selected.startRange+.endRange:not(:nth-child(7n+1)),
.flatpickr-day.startRange.startRange+.endRange:not(:nth-child(7n+1)),
.flatpickr-day.endRange.startRange+.endRange:not(:nth-child(7n+1)) {
    -webkit-box-shadow: -10px 0 0 var(--primary-color);
    box-shadow: -10px 0 0 var(--primary-color);
}

.flatpickr-calendar.hasTime .flatpickr-time {
    line-height: 30px;
    padding: 5px 8px;
}

.flatpickr-calendar.hasTime .flatpickr-time,
.flatpickr-calendar .flatpickr-time .numInputWrapper {
    height: auto;
}

.flatpickr-time .flatpickr-am-pm {
    margin-left: 4px;
    line-height: 29px;
}

/* custom-ckeditor  */

.custom-ckeditor+.ck-editor {
    --ck-border-radius: 4px;
    --ck-color-base-background: var(--dark2);
    --ck-color-toolbar-border: var(--gray1);
    --ck-color-base-border: var(--gray1);
    --ck-color-engine-placeholder-text: var(--gray1);
    --ck-color-text: var(--white-color);
    --ck-color-button-default-hover-background: var(--dark1);
    --ck-color-button-on-active-background: var(--dark1);
    --ck-focus-outer-shadow: none;
    --ck-focus-disabled-outer-shadow: none;
    --ck-color-button-on-background: var(--primary-color);
    --ck-color-button-on-hover-background: var(--primary-color);
    --ck-color-button-default-active-background: var(--primary-color);
    --ck-color-button-on-color: var(--dark1);
}

.custom-ckeditor+.ck-editor .ck-editor__top .ck-sticky-panel .ck-toolbar {
    border-width: 1px;
    border-bottom-width: 0;
    background-color: var(--dark1);
}

.custom-ckeditor+.ck-editor .ck.ck-list__item .ck-button:hover,
.custom-ckeditor+.ck-editor .ck.ck-list__item .ck-button.ck-on,
.custom-ckeditor+.ck-editor .ck.ck-list__item .ck-button.ck-on:hover {
    background-color: transparent;
}

.custom-ckeditor+.ck-editor .ck.ck-list__item .ck-button {
    border: 0;
}

.custom-ckeditor+.ck-editor .ck.ck-list__item .ck-button.ck-on,
.custom-ckeditor+.ck-editor .ck.ck-list__item .ck-button,
.custom-ckeditor+.ck-editor .ck-reset_all input[type=text]:not(.ck-reset_all-excluded *),
.custom-ckeditor+.ck-editor .ck.ck-label {
    color: var(--dark1);
}

.custom-ckeditor+.ck-editor .ck-content {
    color: var(--white-color);
}

.custom-ckeditor+.ck-editor .ck-content {
    min-height: 120px;
}

.custom-ckeditor+.ck-editor .ck.ck-button:active,
.custom-ckeditor+.ck-editor .ck.ck-button:focus,
.custom-ckeditor+.ck-editor a.ck.ck-button:active,
.custom-ckeditor+.ck-editor a.ck.ck-button:focus,
.custom-ckeditor+.ck-editor .ck-editor__editable.ck-focused:not(.ck-editor__nested-editable) {
    border-color: var(--primary-color);
}

/* upload-file-area  */

.upload-file-area {
    height: 150px;
    border: 1px solid var(--dark4);
}

.upload-file-area:focus {
    border-color: var(--primary-color);
}

/* and-or-wrapper  */
.and-or-connector::before,
.and-or-connector::after,
.left-line-wrapper::before,
.left-line-sm::before {
    content: '';
    position: absolute;
    background-color: var(--dark4);
}

.left-line-wrapper::before {

    left: 1px;
    top: -49px;
    height: calc(100% - 13px);
    width: 1px;
}

.left-line-sm::before {
    left: -15px;
    height: 1px;
    width: 15px;
}

.left-line-sm::before,
.and-or-connector::before {
    top: 50%;
    transform: translate(0, -50%);
}

.and-or-connector::before {
    left: -24px;
    height: 1px;
    width: 22px
}

.and-or-connector::after {
    left: -25px;
    top: -88px;
    height: calc(100% + 72px);
    width: 1px;
}


/* custom-event-scheduler  */

.custom-event-scheduler {
    --fc-border-color: var(--dark3);
    --fc-today-bg-color: var(--primary-color);
}

.custom-event-scheduler .fc-daygrid-day-number,
.custom-event-scheduler .fc-toolbar-title {
    color: var(--white-color);
}

.custom-event-scheduler .fc-scrollgrid-sync-inner {
    text-align: right;
}

.custom-event-scheduler .fc-col-header-cell-cushion {
    padding: 5px;
}

.custom-event-scheduler .fc-col-header-cell {
    background-color: var(--dark1);
}

.custom-event-scheduler a {
    text-decoration: none;
}

.custom-event-scheduler .fc-col-header-cell a {
    color: var(--gray1);
    font-weight: 500;
}

.custom-event-scheduler .fc-daygrid-day-frame {
    padding: 5px;
}

.custom-event-scheduler .fc-day-other .fc-daygrid-day-top {
    opacity: 1;
}

.custom-event-scheduler .fc-day-other .fc-daygrid-day-top a {
    color: var(--gray2);
}

/* new start */
/* data table start  */

.dataTables_wrapper .dataTables_info {
    color: var(--gray1);
}
.dataTables_wrapper .dataTables_paginate  .paginate_button{
    border: 1px solid var(--dark3);
    padding: 4px 8px;
    border-radius: 4px;
}

table.dataTable.custom-data-table th, table.dataTable.custom-data-table td{
    padding: 16px 8px;
    border-bottom: 1px solid var(--dark3);
}
.dataTables_wrapper .paginate_button + span{
    display: none;
}

table.dataTable.custom-data-table thead>tr>th.sorting_asc:before,
table.dataTable.custom-data-table thead>tr>th.sorting_desc:after,
table.dataTable.custom-data-table thead>tr>td.sorting_asc:before,
table.dataTable.custom-data-table thead>tr>td.sorting_desc:after {
    color: var(--primary-color);
    opacity: 1;
}

table.dataTable.custom-data-table thead>tr>th.sorting:before,
table.dataTable.custom-data-table thead>tr>th.sorting_asc:before,
table.dataTable.custom-data-table thead>tr>th.sorting_desc:before,
table.dataTable.custom-data-table thead>tr>th.sorting_asc_disabled:before,
table.dataTable.custom-data-table thead>tr>th.sorting_desc_disabled:before,
table.dataTable.custom-data-table thead>tr>td.sorting:before,
table.dataTable.custom-data-table thead>tr>td.sorting_asc:before,
table.dataTable.custom-data-table thead>tr>td.sorting_desc:before,
table.dataTable.custom-data-table thead>tr>td.sorting_asc_disabled:before,
table.dataTable.custom-data-table thead>tr>td.sorting_desc_disabled:before {
    bottom: 53%;
}

.dataTables_empty {
    text-align: center;
}

.custom-data-table {
    min-width: max-content;
}

.select-icon-wrap {
    position: relative;
    display: flex;
    align-items: center;
}

.was-validated select.select2:invalid + .select2.select2-container.select2-container--default span.select2-selection, select.select2.is-invalid + .select2.select2-container.select2-container--default span.select2-selection {
    border-color: #dc3545;
}

.was-validated select.select2:valid + .select2.select2-container.select2-container--default span.select2-selection, select.select2.is-valid + .select2.select2-container.select2-container--default span.select2-selection {
    border-color: #198754;
}

/* data table end  */
/* new  end */


@media screen and (min-width:1400px) {
    .custom-container {
        max-width: calc(100% - 90px);
    }

    .custom-dropdown .btn {
        min-width: 218px;
    }

    .select2-col-xxl-19 {
        width: 19%;
    }

    .select2-col-xxl-20 {
        width: 20%;
    }

    /* new start  */
    .custom-nav-tabs {
        background-color: var(--primary-color);
    }

    .custom-nav-tabs .nav-item:not(:last-child) .nav-link {
        border-right: 2px solid var(--primary-color);
    }

    /* new end  */
}

@media screen and (min-width:1200px) {
    .border-end-info-xl {
        border-right: 1px solid var(--info);
    }

    .border-end-danger-xl {
        border-right: 1px solid var(--error);
    }

    .custom-border1-right-xl-dark3 {
        border-right: 1px solid var(--dark3);
    }

    .custom-border1-bottom-xl-dark4 {
        border-bottom: 1px solid var(--dark4);
    }

    .mw-xl-326 {
        max-width: 326px;
    }

    .mw-xl-342 {
        max-width: 342px;
    }
}

@media screen and (min-width:992px) {
    .admin-panel-header {
        left: 300px;
    }

    .admin-panel-header,
    .main-content {
        width: calc(100% - 300px);
    }

    .main-content {
        margin-left: auto;
    }
}

/* new start */
@media screen and (max-width: 1400px) {
    .custom-nav-tabs .nav-link {
        padding: 8px 20px;
    }

    .custom-nav-tabs {
        gap: 10px;
    }
}

/* new end */

@media screen and (max-width:1200px) {
    .custom-form label {
        font-size: 14px;
    }

    .font-16 {
        font-size: 14px;
    }

    .and-or-connector::after {
        top: -141px;
        height: calc(100% + 127px);
    }
}

@media screen and (max-width:992px) {
    .font-large {
        font-size: 43px;
    }

    .font-medium {
        font-size: 33px;
    }

    .sidebar {
        top: 300%;
    }
}

@media screen and (max-width:767px) {
    .login > div > div:first-child {
        display: none;
    }
    .font-15 {
        font-size: 14px;
    }

    .min-h-38 {
        min-height: 28px;
    }
}

@media screen and (max-width:575px) {
    .custom-container {
        padding: 0 15px;
    }

    .logo {
        max-width: 70px;
    }

    .btn.custom-btn {
        --bs-btn-padding-x: 14px;
        --bs-btn-font-size: 14px;
    }

    .font-medium {
        font-size: 28px;
    }

    .and-or-wrapper:nth-child(2) .left-line-wrapper::before {
        height: calc(100% - 54px);
    }

    .and-or-connector::before {
        left: -25px;
        width: 25px
    }

    .and-or-connector::after {
        top: -225px;
        height: calc(100% + 210px);
    }

    .min-h-45 {
        min-height: unset;
    }
}

body.public-light-mode .custom-link-primary.forgotPassword{
    color: var(--bs-secondary-color);
}
